1.1
1.1
get /v1/recovery-histories/detail
Description
복구 이력을 상세 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763 | string | None |
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RecoveryHistoryShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"recovery_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"recovery_object_count": 50,
"recovery_rate": 50
}
]
}